TheSwamp

Code Red => AutoLISP (Vanilla / Visual) => Topic started by: JohnK on December 12, 2003, 10:45:25 AM

Title: I need some quick apps
Post by: JohnK on December 12, 2003, 10:45:25 AM
AutoCAD day!! w00t!

But i dont have any custom apps here. I need some basic tools like Copyrotate, move rotate ...anything/everything. Can i ask you guys to post some quick tools?
Title: I need some quick apps
Post by: Craig on December 12, 2003, 10:52:54 AM
Download express tools here ->http://www.staubeng.com/etv1-9.zip
Title: I need some quick apps
Post by: JohnK on December 12, 2003, 10:53:50 AM
I got those but thanx Craig
Title: I need some quick apps
Post by: Craig on December 12, 2003, 10:55:20 AM
Those don't have the tools you need?
Title: I need some quick apps
Post by: JohnK on December 12, 2003, 11:02:28 AM
Sure, but i was looking for some general stuff like 'copyrotate' and 'midpoint'  ... stuff like that. (basic stuff)
Title: I need some quick apps
Post by: Craig on December 12, 2003, 11:20:28 AM
I got ya.
Title: I need some quick apps
Post by: ELOQUINTET on December 12, 2003, 11:21:34 AM
SE7EN...BASIC...INCONCEIVABLE  :lol:
Title: I need some quick apps
Post by: SMadsen on December 12, 2003, 11:23:17 AM
Hmm, a "gimme code" request? Sorry, we don't do requests. Please post what you have so far  :lol:
Title: I need some quick apps
Post by: Craig on December 12, 2003, 11:24:46 AM
Se7en, you do realize I held back any smart ass remarks. I left that for others... :lol:

By the way, that is INCONCEIVABLE *copy-paste*
Title: I need some quick apps
Post by: JohnK on December 12, 2003, 11:32:30 AM
WHAT?!  ...smartass'! Ill give you code!

Ill just write some quick ones at lunch. Maybe ill share, but who knows?!
Title: I need some quick apps
Post by: Mark on December 12, 2003, 11:45:16 AM
Where do you want it?
Title: I need some quick apps
Post by: JohnK on December 12, 2003, 11:58:23 AM
Dont care.
Title: I need some quick apps
Post by: JohnK on December 12, 2003, 12:43:12 PM
This is the type of apps i was looking for guys.

BTW, Thanks mark thats alot of code man. Illl put those to good use. Thank you.

Code: [Select]

;;;
;;; Move rotate
;;;
(defun c:mr ()
  (while (not (setq ent (entsel "\nSelect entity: "))))
  (vl-cmdf
    "move"
    ent
    ""
    (setq pt1 (getpoint "\nSelect base point: "))
    (setq pt2 (getpoint pt1 "\nSelect second point: "))
    )
  (vl-cmdf "rotate" ent "" pt2)
 (princ)
)